Bug Hunting Session
Bug 66474 - FILEOPEN: Regression. Indent and placement errors in imported docx header
Summary: FILEOPEN: Regression. Indent and placement errors in imported docx header
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: high normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-01 22:16 UTC by Luke
Modified: 2013-07-26 15:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
MS .docx file fails to import correctly (172.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-07-01 22:17 UTC, Luke
Details
Comparison of DocX in 4.1 vs 4.2 (147.51 KB, image/png)
2013-07-01 22:18 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-07-01 22:16:41 UTC
This bug was tested LibreOffice v4.1 RC1 and master~2013-07-01_09.19.22_LibreOfficeDev_4.2.0.0.alpha0_Win_x86 running in windows XP. It appears that LibreOffice loses formatting when importing MS Word .docx files. I have attached an example.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management.docx document in writer v4.1 RC1
2. Open attached Demo-Hayden-Management.docx document in writer v4.2
3. Compare the documents. 

Note in the screenshot that the header is incorrectly indented, causing the text to flow off the page. This may be related to Bug #66117 with the .doc version of this file.
Comment 1 Luke 2013-07-01 22:17:32 UTC
Created attachment 81835 [details]
MS .docx file fails to import correctly
Comment 2 Luke 2013-07-01 22:18:34 UTC
Created attachment 81836 [details]
Comparison of DocX in 4.1 vs 4.2

Note the header is rendered correctly on the left in 4.1 and incorrectly on the right in 4.2.
Comment 3 Jorendc 2013-07-04 07:40:55 UTC
Thanks for reporting!

I can confirm this behavior, tested using Mac OSX 10.8.4 with LibreOffice 4.1.0.1 RC and Version: 4.2.0.0.alpha0+ Build ID: 9ab800829b8a0e44824dc11276b54b1870bc5b2b

Kind regards,
Joren
Comment 4 Miklos Vajna 2013-07-26 12:54:00 UTC
This is a regression from 74c5ed19f430327988194cdcd6bdff09591a93fa.
Comment 5 Commit Notification 2013-07-26 15:39:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67163f5531c29ff1983661ba832bd205944b33f3

fdo#66474 DOCX import: fix handling of mixed fixed/auto cell widths



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Miklos Vajna 2013-07-26 15:44:10 UTC
No backport as this was a master-only regression.